from RNGen import RNp2to191 as rng

rn1 = rng()
rn2 = rng(10, 20, 30, 40, 50, 60)       #       The seeds are set
print("rn1 = %d, %d, %d, %d, %d, %d"%(rn1.x10, rn1.x11, rn1.x12,rn1.x20,rn1.x21,rn1.x22))
print("rn2 = %d, %d, %d, %d, %d, %d"%(rn2.x10, rn2.x11, rn2.x12,rn2.x20,rn2.x21,rn2.x22))

rn_0 = rng()        #   No jumps
rn_2 = rng()
rn_2.jump(2)        #   2**2 jumps
rn_22 = rng()
rn_22.jump(2)       #   2**2 jumps
rn_22.jump(2)       #   2**2 jumps, again
rn_4 = rng()
rn_4.jump(4)        #   2**4 jumps
for i in range(0, 20):
    print("%d %20.15f %20.15f %20.15f %20.15f"%(i, rn_0.uni(), rn_2.uni(), rn_22.uni(), rn_4.uni()))
